// Tudose Vlad Andrei - 50 puncte
#include <cstdio>
#define INPUT "generatoare.in"
#define OUTPUT "generatoare.out"
#define MAXN 20
int M[MAXN], Bits[1 << MAXN];

int max(int a, int b)
{
	return a > b ? a : b;
}

double prob(int n, int k)
{
	return (double)((n >> (k + 1) << k) + 
		max(0, n % (1 << (k + 1)) - (1 << k))) / n;
}

int main()
{
	int n, i, j, k;
	double ans = 0;

	freopen(INPUT, "r", stdin);
	freopen(OUTPUT, "w", stdout);

	scanf("%d", &n);
	for(i = 0; i < n; ++i)
		scanf("%d", M + i);

	Bits[0] = 0; Bits[1] = 1;
	for(i = 2; i < (1 << n); ++i)
		Bits[i] = Bits[i >> 1] + (i & 1);

	for(k = 0; k < 30; ++k)
	{
		double sumP = 0;
		for(i = 1; i < (1 << n); ++i)
		{
			if((Bits[i] & 1) == 0)
				continue;
			double p = 1;

			for(j = 0; j < n; ++j)
				if(i & (1 << j))
					p *= prob(M[j], k);
				else
					p *= (1 - prob(M[j], k));
			
			sumP += p;
		}
		ans += sumP * (1 << k);
	}

	printf("%.3lf\n", ans);

	return 0;
}
