// Tudose Vlad Andrei - 100 puncte
#include <cstdio>
#define INPUT "generatoare.in"
#define OUTPUT "generatoare.out"
#define MAXN 50000
int M[MAXN];
double P[MAXN];

int max(int a, int b)
{
	return a > b ? a : b;
}

double prob(int n, int k)
{
	return (double)((n >> (k + 1) << k) + 
		max(0, n % (1 << (k + 1)) - (1 << k))) / n;
}

int main()
{
	int n, i, j;
	double ans = 0;

	freopen(INPUT, "r", stdin);
	freopen(OUTPUT, "w", stdout);

	scanf("%d", &n);
	for(i = 0; i < n; ++i)
		scanf("%d", M + i);

	for(j = 0; j < 30; ++j)
	{
		P[0] = prob(M[0], j);
		for(i = 1; i < n; ++i)
		{
			double p = prob(M[i], j);
			P[i] = (1 - p) * P[i - 1] + p * (1 - P[i - 1]);
		}
		ans += P[n - 1] * (1 << j);
	}

	printf("%.3lf\n", ans);

	return 0;
}
