//solutie de 80 puncte
#define tutty "Cosmin-Mihai Tutunaru"
#include<cstdio>
#define infile "generatoare.in"
#define outfile "generatoare.out"
#define nMax 100013
#define bMax 30

using namespace std;

int v[nMax];
int n;
double sol;

/*
int appOld(int v, int b) {
  int sum = 0;
  for(int i = 0; i < v; ++i)
    if((i >> b) & 1)
      ++sum;
  return sum;
}*/

int app(int v, int b) {
  int sum = 0;
  
  if((v>>b) & 1)
    for(int i = 0; i < b; ++i)
      if((v >> i) & 1)
        sum += (1<<i);

  for(int i = b + 1; i < bMax; ++i)
    if((v >> i) & 1)
      sum += (1<<(i-1));

  return sum;
}

void read() {
  scanf("%d", &n);
  for(int i = 1; i <= n; ++i)
    scanf("%d", &v[i]);
}

void solve() {
  for(int b = 0; b < bMax; ++b) {
    double last = 0;
    for(int i = 1; i <= n; ++i) {
      int ap = app(v[i], b);
      last = last * (v[i] - ap) / v[i] + ap * (1 - last) / v[i];
    }
    sol += (1<<b) * last;
  }
}

void write() {
  printf("%.3lf\n", sol);
}

int main() {
  freopen(infile, "r", stdin);
  freopen(outfile, "w", stdout);

  read();
  solve();
  write();

  fclose(stdin);
  fclose(stdout);
  return 0;
}
